/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.assira;

import java.io.File;
import java.io.InputStream;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public final class TestFiles {

    private TestFiles() {
        /* utility class */
    }
    
    public static final File XML_INPUT = new File("src/test/resources/xml/input.xml");
    
    public static final File XML_1 = new File("src/test/resources/xml/writer1.xml");
    
    public static final File XML_2 = new File("src/test/resources/xml/writer2.xml");
    
    public static final File XML_3 = new File("src/test/resources/xml/writer3.xml");
    
    public static final File XML_4 = new File("src/test/resources/xml/writer4.xml");
    
    public static final File XML_5 = new File("src/test/resources/xml/writer5.xml");
    
    public static final File XML_ELEMENTS = new File("src/test/resources/xml/elements.xml");
    
    public static final File XML_CONTENT = new File("src/test/resources/xml/content.xml");
    
    public static final File XSL_USERS = new File("src/test/resources/xml/users.xslt");
    
    public static final File XML_USERS = new File("src/test/resources/xml/users.xml");
    
    public static final File XML_DOC = new File("src/test/resources/xml/doc.xml");
    
    public static final File XML_ATTR = new File("src/test/resources/xml/attr.xml");
    
    public static final File METHODS_1 = new File("src/test/resources/reflective/methods/1.txt");
    public static final File METHODS_2 = new File("src/test/resources/reflective/methods/2.txt");
    public static final File METHODS_3 = new File("src/test/resources/reflective/methods/3.txt");
    public static final File METHODS_4 = new File("src/test/resources/reflective/methods/4.txt");
    public static final File METHODS_5 = new File("src/test/resources/reflective/methods/5.txt");
    
    public static final File CONSTRUCT_1 = new File("src/test/resources/reflective/constructors/1.txt");
    public static final File CONSTRUCT_2 = new File("src/test/resources/reflective/constructors/2.txt");
    public static final File CONSTRUCT_3 = new File("src/test/resources/reflective/constructors/3.txt");
    public static final File CONSTRUCT_4 = new File("src/test/resources/reflective/constructors/4.txt");
    public static final File CONSTRUCT_5 = new File("src/test/resources/reflective/constructors/5.txt");

    
    
}
